#ifndef _BITMAPFONT_H_
#define _BITMAPFONT_H_

#include "jpeglib.h"

typedef struct 
{
	int w;
	int h;
	int bpp;
	char *letters[224];
} FONT;

int bfInit(char *fontfilename, FONT *f);
void bfFree(FONT *f);
int bfPutChar(char c, FONT *f, DWORD *surface, int surfpitch, int x,int y,float size);
int bfClear(DWORD *surface,int x, int y, int h, int w, int pitch, int r, int g, int b, int a);
int bfPutStr(char *s, FONT *f, DWORD *surface, int pitch, int x, int y, float size);

#endif
